Debian Bug report logs - #727212
ITP: cpp-netlib -- C++ Network Library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ximin Luo <infinity0@gmx.com>

Date: Wed, 23 Oct 2013 13:27:01 UTC

Owned by: Ximin Luo <infinity0@gmx.com>

Severity: wishlist

Fixed in version cpp-netlib/0.10.1-1

Done: Ximin Luo <infinity0@gmx.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#727212; Package wnpp. (Wed, 23 Oct 2013 13:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 23 Oct 2013 13:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cpp-netlib -- C++ Network Library
Date: Wed, 23 Oct 2013 14:22:18 +0100
Package: wnpp
Severity: wishlist
Owner: Ximin Luo <infinity0@gmx.com>

* Package name    : cpp-netlib
  Version         : 0.10.1
  Upstream Author : cpp-netlib authors
* URL             : http://cpp-netlib.org/
* License         : Boost Software License - Version 1.0
  Programming Lang: C++
  Description     : C++ Network Library

The C++ Network Library Project aims to build upon the latest C++ standard
(currently C++11) to provide easy to use libraries for network programming. We
use the latest compiler versions and features with an eye on pushing the
boundaries on leveraging what's available in C++.

Currently the library contains an HTTP client and server implementation, a
stand-alone URI library, a network message framework, and some concurrency
tools.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ximin Luo <infinity0@gmx.com>:
Bug#727212; Package wnpp. (Wed, 23 Oct 2013 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ximin Luo <infinity0@gmx.com>. (Wed, 23 Oct 2013 13:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 727212@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Ximin Luo <infinity0@gmx.com>, 727212@bugs.debian.org
Subject: Re: Bug#727212: ITP: cpp-netlib -- C++ Network Library
Date: Wed, 23 Oct 2013 15:31:31 +0200
On Wed, Oct 23, 2013 at 3:22 PM, Ximin Luo <infinity0@gmx.com> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Ximin Luo <infinity0@gmx.com>
>
> * Package name    : cpp-netlib
>   Version         : 0.10.1
>   Upstream Author : cpp-netlib authors
> * URL             : http://cpp-netlib.org/
> * License         : Boost Software License - Version 1.0
>   Programming Lang: C++
>   Description     : C++ Network Library
>
> The C++ Network Library Project aims to build upon the latest C++ standard
> (currently C++11) to provide easy to use libraries for network programming. We
> use the latest compiler versions and features with an eye on pushing the
> boundaries on leveraging what's available in C++.
>
> Currently the library contains an HTTP client and server implementation, a
> stand-alone URI library, a network message framework, and some concurrency
> tools.

Let me know if you need a sponsor. I can review it if you upload on
mentors.debian.net.

Thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#727212; Package wnpp. (Wed, 23 Oct 2013 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Oct 2013 14:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 727212@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: Mathieu Malaterre <malat@debian.org>
Cc: Thijs Kinkhorst <thijs@uvt.nl>, 727212@bugs.debian.org
Subject: Re: Bug#727212: ITP: cpp-netlib -- C++ Network Library
Date: Wed, 23 Oct 2013 15:19:39 +0100
[Message part 1 (text/plain, inline)]
+thijs who also had an interest

On 23/10/13 14:31, Mathieu Malaterre wrote:
> Let me know if you need a sponsor. I can review it if you upload on
> mentors.debian.net.

I have just uploaded a package to mentors. However, I remembered one thing I forgot - libcppnetlib-dev does not yet depend on the -dev packages listed in Build-Depends. I asked around #debian-mentors if there was a good way to do this (like a shlibdeps but for headers) but apparently there is none.

Should I just manually copy+paste the Build-Depends into the Depends field of the -dev package?

X
-- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ximin Luo <infinity0@gmx.com>:
Bug#727212; Package wnpp. (Wed, 23 Oct 2013 14:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ximin Luo <infinity0@gmx.com>. (Wed, 23 Oct 2013 14:30:12 GMT) Full text and rfc822 format available.

Message #20 received at 727212@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Ximin Luo <infinity0@gmx.com>
Cc: Thijs Kinkhorst <thijs@uvt.nl>, 727212 <727212@bugs.debian.org>
Subject: Re: Bug#727212: ITP: cpp-netlib -- C++ Network Library
Date: Wed, 23 Oct 2013 16:27:10 +0200
On Wed, Oct 23, 2013 at 4:19 PM, Ximin Luo <infinity0@gmx.com> wrote:
> +thijs who also had an interest
>
> On 23/10/13 14:31, Mathieu Malaterre wrote:
>> Let me know if you need a sponsor. I can review it if you upload on
>> mentors.debian.net.
>
> I have just uploaded a package to mentors. However, I remembered one thing I forgot - libcppnetlib-dev does not yet depend on the -dev packages listed in Build-Depends. I asked around #debian-mentors if there was a good way to do this (like a shlibdeps but for headers) but apparently there is none.
>
> Should I just manually copy+paste the Build-Depends into the Depends field of the -dev package?

No, there is nothing like "shlibdeps" for C++ headers AFAIK. You have
to manually add/remove them as code changes :(

I did a quick review and you declare Std-Vers 3.9.4 but -arch and
-indep rules are merged ? You need to split them. Typically
python-sphinx should be listed in Build-Depends-Indep, and d/rules
should build doc package in -indep. See man dh for -arch -indep
(section EXAMPLES). You can then test using dpkg-buildpackage -A/-B.

Let me know if something was not clear.

2cts



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#727212; Package wnpp. (Thu, 24 Oct 2013 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 24 Oct 2013 14:54:04 GMT) Full text and rfc822 format available.

Message #25 received at 727212@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: Mathieu Malaterre <malat@debian.org>
Cc: Thijs Kinkhorst <thijs@uvt.nl>, 727212 <727212@bugs.debian.org>
Subject: Re: Bug#727212: ITP: cpp-netlib -- C++ Network Library
Date: Thu, 24 Oct 2013 15:51:30 +0100
[Message part 1 (text/plain, inline)]
On 23/10/13 15:27, Mathieu Malaterre wrote:
> On Wed, Oct 23, 2013 at 4:19 PM, Ximin Luo <infinity0@gmx.com> wrote:
>> +thijs who also had an interest
>>
>> On 23/10/13 14:31, Mathieu Malaterre wrote:
>>> Let me know if you need a sponsor. I can review it if you upload on
>>> mentors.debian.net.
>>
>> I have just uploaded a package to mentors. However, I remembered one thing I forgot - libcppnetlib-dev does not yet depend on the -dev packages listed in Build-Depends. I asked around #debian-mentors if there was a good way to do this (like a shlibdeps but for headers) but apparently there is none.
>>
>> Should I just manually copy+paste the Build-Depends into the Depends field of the -dev package?
> 
> No, there is nothing like "shlibdeps" for C++ headers AFAIK. You have
> to manually add/remove them as code changes :(
> 
> I did a quick review and you declare Std-Vers 3.9.4 but -arch and
> -indep rules are merged ? You need to split them. Typically
> python-sphinx should be listed in Build-Depends-Indep, and d/rules
> should build doc package in -indep. See man dh for -arch -indep
> (section EXAMPLES). You can then test using dpkg-buildpackage -A/-B.
> 
> Let me know if something was not clear.
> 

Actually, since I am bundling the docs into the arch-dependent -dev package, Build-Depends-Indep is not necessary. It took me a while to work this out, but see [1] that I just filed to improve the wording of the policy.

Do you want me to split out the docs into a separate arch-independent package?

X

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=727610

-- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Ximin Luo <infinity0@gmx.com>:
You have taken responsibility. (Sun, 24 Nov 2013 10:03:09 GMT) Full text and rfc822 format available.

Notification sent to Ximin Luo <infinity0@gmx.com>:
Bug acknowledged by developer. (Sun, 24 Nov 2013 10:03:09 GMT) Full text and rfc822 format available.

Message #32 received at 727212-close@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: 727212-close@bugs.debian.org
Subject: Bug#727212: fixed in cpp-netlib 0.10.1-1
Date: Sun, 24 Nov 2013 10:00:06 +0000
Source: cpp-netlib
Source-Version: 0.10.1-1

We believe that the bug you reported is fixed in the latest version of
cpp-netlib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ximin Luo <infinity0@gmx.com> (supplier of updated cpp-netlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Oct 2013 14:22:08 +0000
Source: cpp-netlib
Binary: libcppnetlib-dev libcppnetlib0 libcppnetlib-doc
Architecture: source amd64 all
Version: 0.10.1-1
Distribution: unstable
Urgency: low
Maintainer: Ximin Luo <infinity0@gmx.com>
Changed-By: Ximin Luo <infinity0@gmx.com>
Description: 
 libcppnetlib-dev - C++ Network Library - development files
 libcppnetlib-doc - C++ Network Library - documentation
 libcppnetlib0 - C++ Network Library
Closes: 727212
Changes: 
 cpp-netlib (0.10.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #727212)
Checksums-Sha1: 
 f127ea7d20f275355047041869239a19bd9da435 2061 cpp-netlib_0.10.1-1.dsc
 caf12d42a855abbe949b2a769295f0c3822c2005 1466452 cpp-netlib_0.10.1.orig.tar.gz
 87bde1decb71542cb53dc5100ab816bd925f3c9b 4329 cpp-netlib_0.10.1-1.debian.tar.gz
 12f1f2f93fba693c54cda510b2a524d56f04708b 84930 libcppnetlib-dev_0.10.1-1_amd64.deb
 0448fe96fdb2526f08f29e2711ee24c3d804a04a 93736 libcppnetlib0_0.10.1-1_amd64.deb
 7cf6bcb4b6b15d419e4629aa14d58f33f9c3d727 213240 libcppnetlib-doc_0.10.1-1_all.deb
Checksums-Sha256: 
 dc2b0902bdf63b172e8a34d5dd187d0d5b09709e43b99fbd0f96ab6850a90fc0 2061 cpp-netlib_0.10.1-1.dsc
 da20f29e52b574dfa053309328e3f9c384a6d006a8fa94268310508a594b4d85 1466452 cpp-netlib_0.10.1.orig.tar.gz
 32423db8db93d7186d415bc28d4e4fa25b3fa4066d4a6537d92ce02195508e92 4329 cpp-netlib_0.10.1-1.debian.tar.gz
 9d3da3936ba08eb4f508cda9afa3d4770fd7823c1ec1a2382ffa34dae92bf489 84930 libcppnetlib-dev_0.10.1-1_amd64.deb
 db2b9c5685701d43324d04f2ea85c61e47abd661573a7ab364c71bb224f12174 93736 libcppnetlib0_0.10.1-1_amd64.deb
 2cbeb8f6094d9a436792e67c77d8229c182f1ca0e78fd0b0f064a429aacda75b 213240 libcppnetlib-doc_0.10.1-1_all.deb
Files: 
 af45e755618b017da1fd04bcdb1f5ea6 2061 libs extra cpp-netlib_0.10.1-1.dsc
 afaabb96c22fe50a852432cbc5959557 1466452 libs extra cpp-netlib_0.10.1.orig.tar.gz
 30340eb8847ba369f7d7a57e5687a4a6 4329 libs extra cpp-netlib_0.10.1-1.debian.tar.gz
 ca1bedf70b5bcc72befd5d77ab857ba0 84930 libdevel extra libcppnetlib-dev_0.10.1-1_amd64.deb
 c4871fd060b47525f2d63fae5046e787 93736 libs extra libcppnetlib0_0.10.1-1_amd64.deb
 9c6c5fd48c2a3a70841656518e2c1cc1 213240 doc extra libcppnetlib-doc_0.10.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJSbhVpAAoJEAFx4YKK4JNFDQIP/AmhgCN9uXAsrwP79JI+Atfd
1JwDoyMCN6/9IgEPjMWBDFqhKuHqe7UXASNnzWTOJFxkSwJDiMdULnHQ8AC3Mvfo
A5Aks64iCKzyaRWrfWetA3zJDpNUNWmw6zhVRFBXW8VOtnhVkshco6h+p1EulVCK
Al9TCi9eJWPm8CXNDhNEHZ9HLBMjBgWat0WNlU4bnos5WAGcstY0Lsx8xRxecjCz
giUDO3VDMyL3P6llmQOhy9JyZtWS5xItk+LFe0k/3w9Irj0ClftK8Ugp+aE2AFey
GR3rnhWbnsGomVWhyzLTK6U/CrNFQZInmnlC/yoyOSkqmf152WAKIUZlpJ8U1qHz
mEuzpn29ERhY4kiFZvNDn576bVBTeyBURo89vr+zKMLmqnNgrWJ6eBwFyIzK0WhV
S4X6/iioZAnRNorqBafbBd+ZfGqDDJzoq8kLOsy2wZ+ZwfrKOW25gs3/3SnwRgSt
vgS/IQFM8s8r8Uc9/LR0eyfNKUVzUw5h5+sSyIgRDN8Ge/ap/ufE96thpKqS0iav
mdymkgbh1wcEpnkA+xzs9gECh7Rfb1b47ScCr7qD9Dh2FK3kJNza0t5O7VgYT9wP
7Hne6Z27b4sMgk3isqw0ApT3s1xQIikrWsnbqMSKuSOoe8TxpIDkoCVoPF56jjGQ
ocuQk0XrMbuQbqaCTfvI
=lw7f
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Dec 2013 07:28:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:00:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.